TransformerConfigurationException (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.transform, class: TransformerConfigurationException
Keywords: javax.xml.transform.TransformerConfigurationException class

# Class TransformerConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.transform.TransformerException
javax.xml.transform.TransformerConfigurationException

All Implemented Interfaces:
  `Serializable`

public class TransformerConfigurationException extends TransformerException
Indicates a serious configuration error.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformerConfigurationException()`
  Create a new `TransformerConfigurationException` with no detail message.
  `TransformerConfigurationException(String msg)`
  Create a new `TransformerConfigurationException` with the `String` specified as an error message.
  `TransformerConfigurationException(String msg, Throwable e)`
  Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
  `TransformerConfigurationException(String message, SourceLocator locator)`
  Create a new TransformerConfigurationException from a message and a Locator.
  `TransformerConfigurationException(String message, SourceLocator locator, Throwable e)`
  Wrap an existing exception in a TransformerConfigurationException.
  `TransformerConfigurationException(Throwable e)`
  Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.

- ## Method Summary

  ### Methods declared in class TransformerException

  `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`
  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
  `Throwable`
  `getException()`
  This method retrieves an exception that this exception wraps.
  `String`
  `getLocationAsString()`
  Get the location information as a string.
  `SourceLocator`
  `getLocator()`
  Method getLocator retrieves an instance of a SourceLocator object that specifies where an error occurred.
  `String`
  `getMessageAndLocation()`
  Get the error message with location information appended.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Print the trace of methods from where the error originated.
  `void`
  `printStackTrace(PrintStream s)`
  Print the trace of methods from where the error originated.
  `void`
  `printStackTrace(PrintWriter s)`
  Print the trace of methods from where the error originated.
  `void`
  `setLocator(SourceLocator location)`
  Method setLocator sets an instance of a SourceLocator object that specifies where an error occurred.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TransformerConfigurationException

    public TransformerConfigurationException()
    Create a new `TransformerConfigurationException` with no detail message.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String msg)
    Create a new `TransformerConfigurationException` with the `String` specified as an error message.
    Parameters:
      `msg` - The error message for the exception.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(Throwable e)
    Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.
    Parameters:
      `e` - The exception to be encapsulated in a TransformerConfigurationException.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String msg, Throwable e)
    Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
    Parameters:
      `msg` - The detail message.
      `e` - The exception to be encapsulated in a TransformerConfigurationException

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String message, SourceLocator locator)
    Create a new TransformerConfigurationException from a message and a Locator.

    This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

    Parameters:
      `message` - The error or warning message.
      `locator` - The locator object for the error or warning.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String message, SourceLocator locator, Throwable e)
    Wrap an existing exception in a TransformerConfigurationException.
    Parameters:
      `message` - The error or warning message, or null to use the message from the embedded exception.
      `locator` - The locator object for the error or warning.
      `e` - Any exception.